<?php
/**
 * Documents the file following
 * @package GMAPI
 * @author webcat
 */
//#################################################################
if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) {
    die('You are not allowed to call this page directly.');
}
//#################################################################

if (!class_exists('GMAPIBase')) {
    /**
     * googlemapsForWP maps
     * Maps database data to map classes
     */
    class GMAPIBase extends GMAPIFactory {
        protected $args=array('LatLng');
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('LatLng')) {
    /**
     *
     */
    class LatLng extends GMAPIgoogleclass implements googleclass {
        public static $eventsArray=array();
        public static $methodsArray=array('equals','lat','long','toString');
        public static $propertiesArray=array('lat','long');
        protected $googleProps=array('lat'=>'0','long'=>'0');
        protected $googleEvents=array();
        protected $googleMethods=array();
        function __construct($lat='0',$long='0'){
            $this->init($lat,$long);
        }
        function init($lat,$long){
            $this->googleProps['lat']=$lat;
            $this->googleProps['long']=$long;
            $this->setup=true;
        }
        function script($name=""){
            $script="var ".$name."Latlng = new google.maps.LatLng(".$this->toString().");";
            return $script;
        }
        function toString(){
            return $this->googleProps['lat'].",".$this->googleProps['long'];
        }

    }
}
?>