<?php
/**
 * Documents the file following
 * @package GMAPI
 * @author webcat
 */
//#################################################################
if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) {    die('You are not allowed to call this page directly.');}
//#################################################################
if (!class_exists('GMAPIOverlays')) {
    /**
     *
     */
    class GMAPIOverlays extends GMAPIFactory {
        //protected $args=array('Marker','MarkerOptions','MarkerImage','MarkerShape','Animation','InfoWindow','InfoWindowOptions','Polyline','PolylineOptions','Polygon','PolygonOptions','Rectangle','RectangleOptions','Circle','CircleOptions','GroundOverlay','GroundOverlayOptions','OverlayView','MapPanes', 'MapCanvasProjection');
          public static $classesArr =array('Marker','MarkerOptions');
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIMarker')) {
    /**
     *
     */
    class GMAPIMarker extends GMAPIgoogleclass implements googleclass{
        public static $eventsArray=array();
        public static $methodsArray=array();
        public static $propertiesArray=array('markerOptions');
        protected $googleProps=array('markerOptions'=> null);
        protected $googleEvents=array();
        protected $googleMethods=array();

        function __construct($markerOptions){
            $this->init($markerOptions);
        }
        function init($mO){
            $this->googleProps['markerOptions']=$mO;
            $this->setup=true;
        }
        function script($name="",$key=""){
            $script=  $this->googleProps['markerOptions']->position->script($name.$key);
            $script.="var marker".$name.$key." = new google.maps.Marker({";
            $script.="position:".$name.$key.Latlng.",";
            $script.="map: ".$this->googleProps['markerOptions']->map.",";
            $script.="title:'".$this->googleProps['markerOptions']->title."'}); ";
            return $script;
        }
    }
}
if (!class_exists('GMAPIMarkerOptions')) {
    /**
     *
     */
    class GMAPIMarkerOptions extends GMAPIgoogleclass implements googleclass {
        public static $eventsArray=array();
        public static $methodsArray=array();
        public static $propertiesArray=array('animation','clickable','cursor','draggable','flat','icon','map','optimized','position','raiseOnDrag','shadow','shape','title','visible','zIndex' );
        protected $googleProps=array('position'=> null,'map'=>"",'title'=>"",'clickable'=>true);
        protected $googleEvents=array();
        protected $googleMethods=array();

        function __construct($position=null,$map="",$title="",$clickable=true){
            $this->init($position,$map,$title,$clickable);
        }
        function init($position,$map,$title,$clickable){
            $this->googleProps['position']=$position;
            $this->googleProps['map']=$map;
            $this->googleProps['title']=$title;
            $this->googleProps['clickable']=$clickable;
            $this->setup=true;
        }
        function script($name=""){
            return $name;
        }
    }
}if (!class_exists('GMAPIMarkerImage')) {
    /**
     *
     *
     */
    class GMAPIMarkerImage extends GMAPIgoogleclass {
        function __construct(){
            parent::__construct();
        }
    }
}if (!class_exists('GMAPIMarkerShape')) {
    /**
     *
     *
     */
    class GMAPIMarkerShape extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}if (!class_exists('GMAPIInfoWindow')) {
    /**
     *
     *
     */
    class GMAPIInfoWindow extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIAnimation')) {
    /**
     *
     *
     */
    class GMAPIAnimation extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIInfoWindowOptions')) {
    /**
     *
     *
     */
    class GMAPIInfoWindowOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIPolyline')) {
    /**
     *
     *
     */
    class GMAPIPolyline extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIPolylineOptions')) {
    /**
     *
     *
     */
    class GMAPIPolylineOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIPolygon')) {
    /**
     *
     *
     */
    class GMAPIPolygon extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIPolygonOptions')) {
    /**
     */
    class GMAPIPolygonOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIRectangle')) {
    /**
     */
    class GMAPIRectangle extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIRectangleOptions')) {
    /**
     */
    class GMAPIRectangleOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPICircle')) {
    /**
     */
    class GMAPICircle extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}if (!class_exists('GMAPICircleOptions')) {
    /**
     */
    class GMAPICircleOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIGroundOverlay')) {
    /**
     */
    class GMAPIGroundOverlay extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIGroundOverlayOptions')) {
    /**
     */
    class GMAPIGroundOverlayOptions extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIOverlayView')) {
    /**
     */
    class GMAPIOverlayView extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIMapPanes')) {
    /**
     */
    class GMAPIMapPanes extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
if (!class_exists('GMAPIMapCanvasProjection')) {
    /**
     */
    class GMAPIMapCanvasProjection extends GMAPIgoogleclass {
        //public static
        function __construct(){
            parent::__construct();
        }
    }
}
?>